//
//  SpeakEleExt.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/10.
//

import UIKit


extension UIFont {
    
    enum MontsStyle:String {
        case regular = "-Regular"
        case medium  = "-Medium"
        case semiBold = "-SemiBold"
        case bold = "-Bold"
    }
    
    class func montserrat(_ type:MontsStyle = .regular ,size:CGFloat = 12) -> UIFont {
        let fontName = "Montserrat" + type.rawValue
        return UIFont(name: fontName, size: size) ?? UIFont.systemFont(ofSize: size)
    }
    
}
